<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/passwordTopLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fitsSystemWindows="true" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <TableLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin_10dp"
            android:stretchColumns="1">

            <TableRow>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="原密码"
                    android:textColor="@color/black"
                    android:textSize="@dimen/textFontSize" />

                <EditText
                    android:id="@+id/originalEditView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:autofillHints="password"
                    android:background="@drawable/bg_editor"
                    android:hint="请输入原密码"
                    android:maxLines="1"
                    android:padding="5dp"
                    android:singleLine="true" />
            </TableRow>

            <TableRow android:layout_marginTop="@dimen/padding_10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="新密码"
                    android:textColor="@color/black"
                    android:textSize="@dimen/textFontSize" />

                <EditText
                    android:id="@+id/newEditView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:autofillHints="password"
                    android:background="@drawable/bg_editor"
                    android:hint="请输入6-12位数字字母组合"
                    android:maxLines="1"
                    android:padding="5dp" />
            </TableRow>

            <TableRow android:layout_marginTop="@dimen/padding_10dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="密码确认"
                    android:textColor="@color/black"
                    android:textSize="@dimen/textFontSize" />

                <EditText
                    android:id="@+id/confirmEditView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:autofillHints="password"
                    android:background="@drawable/bg_editor"
                    android:hint="请再次输入密码"
                    android:maxLines="1"
                    android:padding="5dp" />
            </TableRow>
        </TableLayout>

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/changePasswordButton"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_margin="30dp"
            android:paddingVertical="7dp"
            android:text="提 交"
            android:textColor="@color/white"
            android:textSize="@dimen/titleFontSize"
            app:qmui_backgroundColor="@color/mainThemeColor"
            app:qmui_radius="5dp" />
    </RelativeLayout>
</LinearLayout>